Get local sandbox details
curl --request GET \
--url https://api.klavis.ai/local-sandbox/{local_sandbox_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/local-sandbox/{local_sandbox_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"local_sandbox_id": "<string>",
"created_at": "<string>",
"servers": [
{
"id": "<string>",
"server_name": "<string>",
"mcp_server_url": "<string>",
"status": "idle",
"benchmark": "<string>",
"updated_at": "<string>",
"metadata": {},
"auth_data": {},
"tags": [
"<string>"
]
}
],
"status": "idle",
"benchmark": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Local Sandbox
Get local sandbox details
Retrieves details about a local sandbox environment, including its status and all running servers.
GET
/
local-sandbox
/
{local_sandbox_id}
Get local sandbox details
curl --request GET \
--url https://api.klavis.ai/local-sandbox/{local_sandbox_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/local-sandbox/{local_sandbox_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/local-sandbox/{local_sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"local_sandbox_id": "<string>",
"created_at": "<string>",
"servers": [
{
"id": "<string>",
"server_name": "<string>",
"mcp_server_url": "<string>",
"status": "idle",
"benchmark": "<string>",
"updated_at": "<string>",
"metadata": {},
"auth_data": {},
"tags": [
"<string>"
]
}
],
"status": "idle",
"benchmark": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The ID of the local sandbox to retrieve
Response
Successful Response
Unique identifier for the local sandbox environment
Timestamp when the sandbox was created
List of MCP servers in this sandbox
Show child attributes
Show child attributes
Current status of the local sandbox environment
Available options:
idle, occupied, error Benchmark environment configuration for the local sandbox
